import java.awt.*;
import MessageBoxRes;

class MessageBox extends Dialog
{
    MessageBoxRes resource = null;

    public MessageBox(Frame parent, String message)
    {
        this(parent, message, "Message");
    }

    public MessageBox(Frame parent, String message, String caption)
    {
        super(parent, caption, true);
        resource = new MessageBoxRes(this);
        resource.CreateControls();
        resource.IDC_MESSAGE.setText(message);
        show();
    }

    public boolean handleEvent(Event event)
    {
        boolean retval = false;

        if (event.target == resource.IDOK)
        {
            hide();
            retval = true;
        }
        return retval;
    }

}